@font-face{
    font-family: "CentraNo2-Bold";
    src: url(assets/fonts/CentraNo2-Bold.ttf);
    
}
@font-face {
    font-family: "CentraNo2-Book";
    src: url(assets/fonts/CentraNo2-Book.ttf);
}
@font-face {
    font-family: "CentraNo2-Medium";
    src: url(assets/fonts/CentraNo2-Medium.ttf);
}
.h2{
    font-family: CentraNo2-Bold;
    text-shadow: -1px -2px black;
}
.navbar-toggler-icon{
    background-image: url("data:image/svg+xml,%3csvg xmlns='http://www.w3.org/2000/svg' viewBox='0 0 30 30'%3e%3cpath stroke='rgba%28255, 255, 255, 1%29' stroke-linecap='round' stroke-miterlimit='10' stroke-width='2' d='M4 7h22M4 15h22M4 23h22'/%3e%3c/svg%3e")
}
.navbar-toggler{
    color: transparent;
    border-color: transparent;
}

.banner{
    background: url(assets/images/banner-bg.png);
    background-repeat: no-repeat;
    background-size: cover;
    height: 100%;
}
html, body {
    overflow-x: hidden;
    width: 100%;
    background-color: #000000;
}
.text{
    font-family: "CentraNo2-Book";
    letter-spacing: 1px;
}
.icon:hover{
    color: rgb(0, 0, 0);
    background-color: rgb(221, 212, 212);
    --fa-border-color:rgb(221, 212, 212);
}
.icon{
    color: white;
}
.fa-border{
    --fa-border-radius:100%;
    --fa-border-padding: 0.5em;
    --fa-border-color:  #706f6f;
    --fa-border-width:2px;
}
.let{
    border-style: groove;
    border-color: white;
    color: white;
    border-width: 2px;
    font-family: "CentraNo2-Medium";
    padding-top: 13px;
    padding-bottom: 13px;
    padding-left: 25px;
    padding-right: 25px;
    margin-top: -6px;
    letter-spacing: 1px;
    display: inline-block;
}
.let:hover{
    border-color: #b9b7b7;
    color: #b9b7b7;
}
.nav-nav{
    padding-bottom: 250px;
}
.h5{
    border-style: groove;
    border-color: #9b9696;
    border-width: 2px;
    padding-bottom: 10px;
    padding-top: 10px;
    padding-left: 10px;
    font-family: "CentraNo2-Medium";
    margin-bottom: -5px;
    margin-left: -10px;
    padding-right: -50px;
    letter-spacing: 1px;
}
.bg{
    background-image: url(assets/images/color-sharp.png);
    width: 280px;
    background-position: left center;
}
h1 {
    font-size: 9vmin;
    color: rgb(255, 255, 255);
    text-align: left;
    font-family: Lato, sans-serif;
    font-weight: 700;
    margin: 1rem 0 5px 15px;
    letter-spacing: 2px;
}

.typewriter-text::after {
  content: "";
  animation: typing 4s steps(12) infinite;
  white-space: nowrap;
  overflow: hidden;
  display: inline-block;
  vertical-align: bottom;
}

  @keyframes typing {
    0% { content: ""; }
    8.33% { content: "W"; }
    16.66% { content: "We"; }
    25% { content: "Web"; }
    33.33% { content: "Web "; }
    41.66% { content: "Web D"; }
    50% { content: "Web De"; }
    58.33% { content: "Web Des"; }
    66.66% { content: "Web Desi"; }
    75% { content: "Web Desig"; }
    83.33% { content: "Web Design"; }
    91.66% { content: "Web Designe"; }
    100% { content: "Web Designer"; }
}
.typewriter {
    --caret: currentcolor;
}
.typewriter::before {
    content: "";
    animation: typing 8.5s infinite;
}
.typewriter::after {
    content: "";
    border-right: 1px solid var(--caret);
    animation: blink 0.5s linear infinite;
}
@media (prefers-reduced-motion) {
    .typewriter::after {
        animation: none;
    }

    @keyframes sequencePopup {
        0%, 100% { content: "Web Designer"; }
        25% { content: "Web Designer"; }
        50% { content: "Web Designer"; }
        75% { content: "Web Designer"; }
    }

    .typewriter::before {
        content: "Web Designer";
        animation: sequencePopup 12s linear infinite;
    }
}
.about-para{
    color: #838282;
    

}
.let-s{
    text-decoration: none;
    color: white;
    font-family: "CentraNo2-Bold";
    padding-left: 17px;
    
}

.arrow{
    margin-left: 3px;
    
}

.let-s:hover{
    color: #b9b7b7;
}
.image{
   
    width: 350px;
   
}
@keyframes moveUpDown {
    0% {
      transform: translateY(0);
    }
    50% {
      transform: translateY(-20px);
    }
    100% {
      transform: translateY(0);
  }
}
.header img {
    animation: moveUpDown 3s linear infinite;
}
.skill-bg{
   background-color: black;
   background-image: url(assets/images/color-sharp.png);
   background-position:  0% 15%;
   background-size: cover;
   height: 100%;
}
.navbar {
   transition: background-color 0.3s ease;
}
.navbar.transparent {
   background-color: transparent;
}
.navbar.solid-bg {
   background-color: #000000;
}
.skills{
   border-color: #0f0f0f;
   border-style: solid;
   width: 1300px;
   border-radius: 40px;
   background-color: #0f0f0f;
   margin-top: -30px;
}
.navbar {
   padding-top: 0rem;
   padding-bottom: 0rem;
}
.navbar-nav .nav-item {
   padding-top: 0rem;
   padding-bottom: 0rem;
}
.navbar.solid-bg {
   background-color: #000000;
}
.h2-skills{
    font-family: "CentraNo2-Bold";
    font-size: 45px;
    font-weight: bolder;
    letter-spacing: 1px;
}
.para-skills{
    font-family: "CentraNo2-Book";
}
.carousel-inner {
    padding: 1em;
}
.card {
    margin: 0 0.5em;
    border: none;
    --bs-card-bg: transparent;
    --bs-card-spacer-y: 1rem;
    --bs-card-spacer-x: 0rem;
    --bs-card-title-spacer-y: -1.5rem;
}
.card-title{
    color: #fff;
}
.carousel-control-prev,
.carousel-control-next {
    background-color: transparent;
    width: 8vh;
    height: 6vh;
    border-radius: 50%;
    top: 50%;
    transform: translateY(-50%);
}
.carousel-item{
    transition: none;
}
  @media (min-width: 768px) {
    .carousel-item {
      margin-right: 0;
      flex: 0 0 33.333333%;
      display: block;
    }
    .carousel-inner {
      display: flex;
    }
}
.card .img-wrapper {
      max-width: 100%;
      height: 13em;
      display: flex;
      justify-content: center;
      align-items: center;
}
.card img {
      max-height: 100%;
}
@media (max-width: 767px) {
    .card .img-wrapper {
      height: 17em;
    }
}
.progress {
    width: 150px;
    height: 150px !important;
    float: left; 
    line-height: 150px;
    background: none;
    margin: 20px;
    box-shadow: none;
    position: relative;
}
.progress:after {
    content: "";
    width: 100%;
    height: 100%;
    border-radius: 50%;
    border: 12px solid transparent;
    position: absolute;
    top: 0;
    left: 0;
}
.progress>span {
    width: 50%;
    height: 100%;
    overflow: hidden;
    position: absolute;
    top: 0;
    z-index: 1;
}
.progress .progress-left {
    left: 0;
}
.progress .progress-bar {
    width: 100%;
    height: 100%;
    background: none;
    border-width: 12px;
    border-style: solid;
    position: absolute;
    top: 0;
}
.progress .progress-left .progress-bar {
    left: 100%;
    border-top-right-radius: 80px;
    border-bottom-right-radius: 80px;
    border-left: 0;
    -webkit-transform-origin: center left;
    transform-origin: center left;
}
.progress .progress-right {
    right: 0;
}
.progress .progress-right .progress-bar {
    left: -100%;
    border-top-left-radius: 80px;
    border-bottom-left-radius: 80px;
    border-right: 0;
    -webkit-transform-origin: center right;
    transform-origin: center right;
    animation: loading-1 1s linear forwards;
}
.progress .progress-value {
    width: 90%;
    height: 90%;
    border-radius: 50%;
    background: transparent;
    font-size: 24px;
    color: #fff;
    line-height: 135px;
    text-align: center;
    position: absolute;
    top: 5%;
    left: 5%;
}
.progress.html .progress-bar {
    border-color: #8c3491;
}
.progress.html .progress-left .progress-bar {
    animation: loading-2 0.3s linear forwards 1s;
}
.progress.css .progress-bar {
    border-color: #8c3491;
}
.progress.css .progress-right .progress-bar {
    animation: loading-3 1.3s linear forwards;
}
.progress.css .progress-left .progress-bar {
    animation: none;
}
.progress.javascript .progress-bar {
    border-color: #8c3491;
}
.progress.javascript .progress-right .progress-bar {
    animation: loading-4 1.3s linear forwards;
}
.progress.css .progress-left .progress-bar {
    animation: none;
}
@keyframes loading-1 {
    0% {
      -webkit-transform: rotate(0deg);
      transform: rotate(0deg);
    }
    100% {
      -webkit-transform: rotate(180deg);
      transform: rotate(180deg);
    }
}
@keyframes loading-2 {
    0% {
      -webkit-transform: rotate(0deg);
      transform: rotate(0deg);
    }
    100% {
      -webkit-transform: rotate(20deg);
      transform: rotate(20deg);
    }
}
@keyframes loading-3 {
    0% {
      -webkit-transform: rotate(0deg);
      transform: rotate(0deg);
    }
    100% {
      -webkit-transform: rotate(135deg);
      transform: rotate(135deg);
    }
}
@keyframes loading-4 {
    0% {
      -webkit-transform: rotate(0deg);
      transform: rotate(0deg);
    }
    100% {
      -webkit-transform: rotate(30deg);
      transform: rotate(30deg);
    }
  
}
.project-bg{
    background-color: #000000;
}
.project-text{
    font-family: "CentraNo2-Bold";
    letter-spacing: 1px;
    padding-top: 70px;
    font-size: 50px;
    font-weight: bolder;
}
.project-para{
    color: #838282;
    font-family: "CentraNo2-Book";
}
.project .nav.nav-pills {
    width: 72%;
    margin: 0 auto;
    border-radius: 50px;
    background-color: rgb(255 255 255 / 10%);
    overflow: hidden;
}
.project .nav.nav-pills .nav-item {
    width: 33.33333%;
}
.project .nav.nav-pills .nav-link {
    background-color: transparent;
    border-radius: 0;
    padding: 17px 0;
    color: #fff;
    width: 100%;
    font-size: 17px;
    letter-spacing: 0.8px;
    font-weight: 500;
    position: relative;
    transition: 0.3s ease-in-out;
    text-align: center;
    z-index: 0;
}
.project .nav.nav-pills .nav-link::before {
      content: "";
      position: absolute;
      width: 0;
      height: 100%;
      background: linear-gradient(90.21deg, #AA367C -5.91%, #4A2FBD 111.58%);
      top: 0;
      left: 0;
      z-index: -1;
      transition: 0.3s ease-in-out;
}
.project .nav.nav-pills .nav-link.active::before {
      width: 100%;
}
.border{
    border-color: #706f6f;
}
.project .text-color{
    padding-top: 15px;
    padding-bottom: 100px;
    font-size: 30px;
    color: #706f6f;
}
.contact-bg{
    background: linear-gradient(90.21deg, #AA367C -5.91%, #4A2FBD 111.58%);
    padding: 60px 0 100px 0;
}
.contact-img img{
    width: 92%;
    padding-top: 50px;
    padding-bottom: 20px;
}
.contact-h2{
    font-size: 45px;
    font-family: "CentraNo2-Bold";
    letter-spacing: 1px;
    padding-bottom: 20px;
}
.form-control{
  width: 100%;
  background: rgba(255, 255, 255, 0.1);
  border: 1px solid rgba(255, 255, 255, 0.5);
  border-radius: 20px;
  color: #fff;
  margin: 0 0 8px 0;
  padding: 18px 26px;
  font-weight: 500;
  font-size: 18px;
  letter-spacing: 0.8px;
  transition: 0.3s ease-in-out;
}
.contact-form input:focus, .contact-form textarea:focus {
    background: rgba(255, 255, 255, 1);
    color: #121212;
    box-shadow: none;
    border-color: white;
}
.contact-form input::placeholder, .contact-form textarea::placeholder {
    font-size: 16px;
    font-weight: 400;
    color: #fff;
}
.contact-form input:focus::placeholder, .contact-form textarea:focus::placeholder {
    color: #121212;
    opacity: 0.8;
}
.contact-form button {
    font-weight: 700;
    color: #121212;
    background-color: #fff;
    padding: 14px 48px;
    font-size: 18px;
    margin-top: 25px;
    border-radius: 0;
    position: relative;
    transition: 0.3s ease-in-out;
    border-color: #fff;
}
.contact-form button {
    z-index: 1;
    position: relative;
}
.contact-form button:hover {
    color: #fff;
    border-color: #121212;
}
.contact-form button::before {
    content: "";
    background-color: #121212;
    color: #fff;
    border-color: #121212;
    width: 0;
    height: 100%;
    position: absolute;
    top: 0;
    left: 0;
    z-index: 0;
    transition: 0.3s ease-in-out;
}
.contact-form button:hover::before {
    width: 100%;
}
#inputText::placeholder{
    margin-bottom: 200px;
}
.footer-bg{
    background-image: url(assets/images/footer-bg.png);
    background-position: center center;
    background-size: cover;
    background-repeat: no-repeat;;
}
.footer p {
    font-weight: 400;
    font-size: 14px;
    color: #B8B8B8;
    letter-spacing: 0.5px;
    margin-top: 20px;
}
.footer-icon{
    margin-left: -30px;
}
::-webkit-scrollbar {
    width: 4px;
}
::-webkit-scrollbar-track {
    background: transparent; 
}
::-webkit-scrollbar-thumb {
    background: linear-gradient(90.21deg, #AA367C -5.91%, #4A2FBD 111.58%); 
    border-radius: 30px;
    height: 30px;
}
::-webkit-scrollbar-thumb:hover {
    background: linear-gradient(90.21deg, #AA367C -5.91%, #4A2FBD 111.58%); 
    width:5px;
}
  
